This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 908210 - Attaches backtrace and other data encoded
Attaches backtrace and other data encoded
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libreport (Show other bugs)
rawhide
Unspecified Unspecified
urgent Severity medium
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 908755 908756 908762
  Show dependency treegraph
 
Reported: 2013-02-06 02:48 EST by Milan Crha
Modified: 2013-02-14 09:33 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 908755 908756 908762 (view as bug list)
Environment:
Last Closed: 2013-02-14 09:33:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Milan Crha 2013-02-06 02:48:30 EST
I just got a rawhide report (bug #908143) and the first two attachments are unreadable, one of them is backtrace. They are encoded in base64 (and seem to be incomplete).
Comment 1 Jakub Filak 2013-02-07 04:34:37 EST
fixed in git

commit b911a7075296f1560f3ea56ef4739159d5349ce8
Author: Jakub Filak <jfilak@redhat.com>
Date:   Thu Feb 7 09:07:14 2013 +0100

    reporter-bugzilla: use base64 XMLRPC type for encoded data instead of string type
    
    - obsolete: 'bugzilla.addAttachment' accepted base64 data in string variable
      and stored them in database decoded
    
    - current: 'Bug.add_attachment' accepts base64 data but it must be stored in
      base64 type, otherwise server doesn't decode the data and stores them as they
      are
    
    - related to issue #117
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>
    Signed-off-by: Jiri Moskovcak <jmoskovc@redhat.com>
Comment 2 Milan Crha 2013-02-07 04:39:13 EST
Does it solve the strip issue too? I took the encoded string and after decode it didn't show full backtrace to me.
Comment 3 Jakub Filak 2013-02-07 05:26:47 EST
(In reply to comment #2)
> Does it solve the strip issue too? I took the encoded string and after
> decode it didn't show full backtrace to me.

I hope so ;) We tested it and the backtrace was ok. Anyway, an update was pushed to the rawhide. If you have time to update the package and re-test, please do so and report the results here.
Comment 4 Jakub Filak 2013-02-14 09:33:37 EST
This particular bug was fixed and a update package was published for download for this Fedora release.

Note You need to log in before you can comment on or make changes to this bug.